.custom-modal {
    display: none;
    position: fixed;
    z-index: 5;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background: rgb(10, 10, 10, 0.8);
    transition: opacity 500ms;
}

.custom-modal-content {
    margin: 10% auto;
    width: 90%;
    transition: all 0.5s ease-in-out;
    background: #fff;
    border-radius: 3px;
    display: flex;
    flex-flow: column;
}

.custom-modal-header {
    display: flex;
    flex-flow: row;
    justify-content: center;
    text-align: center;
    height: min-content;
}

.custom-modal-header-title-right {
    width: 10%;
    display: flex;
    justify-content: end;
    text-align: center;
    align-items: center;
}

.custom-modal-header-title-right span {
    width: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.custom-modal-header-title {
    display: flex;
    flex-flow: row;
    justify-content: center;
    text-align: center;
    font-size: 20px;
    margin-top: 0;
    font-weight: bold;
    width: 80%;
}

.custom-modal-header-title-left {
    width: 10%;
    display: flex;
    justify-content: left;
    text-align: left;
}

.custom-close {
    font-size: 20px;
    position: absolute;
    transition: all 200ms;
    font-weight: bold;
    text-decoration: none;
    color: #222c31;
    cursor: pointer;
}

.custom-full {
    font-size: 20px;
    position: absolute;
    transition: all 200ms;
    font-weight: bold;
    text-decoration: none;
    color: #222c31;
    cursor: pointer;
    margin-right: 40px;
}

.custom-close:hover,
.custom-close:focus,
.custom-full:hover,
.custom-full:focus {
    opacity: 0.7;
}

.custom-modal-body {
    display: flex;
    flex-flow: column;
    justify-content: center;
    text-align: center;
    height: min-content;
}

.custom-modal-footer {
    display: flex;
    flex-flow: row;
    justify-content: center;
    text-align: center;
    height: min-content;
}